Delete video chapters
/videos/{videoId}/chaptersRemove all chapters from a video using API key authentication
Authorization
ApiKeyAuth Internal API key for service-to-service communication.
In: header
Path Parameters
Video ID
Response Body
200application/json
OK
type: object
401application/json
Unauthorized - Invalid API key
type: object
HTTP status code
Optional details about the error
Error message describing what went wrong
403application/json
Access denied
type: object
HTTP status code
Optional details about the error
Error message describing what went wrong
404application/json
Video not found
type: object
HTTP status code
Optional details about the error
Error message describing what went wrong
500application/json
Failed to delete chapters
type: object
HTTP status code
Optional details about the error
Error message describing what went wrong
curl -X DELETE "https://api.rixl.com/videos/V3idRI23XL/chapters"fetch("https://api.rixl.com/videos/V3idRI23XL/chapters", {
method: "DELETE"
})package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.rixl.com/videos/V3idRI23XL/chapters"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.rixl.com/videos/V3idRI23XL/chapters"
response = requests.request("DELETE", url)
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.rixl.com/videos/V3idRI23XL/chapters"))
.DELETE()
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var client = new HttpClient();
var response = await client.DeleteAsync("https://api.rixl.com/videos/V3idRI23XL/chapters");
var responseBody = await response.Content.ReadAsStringAsync();OK
application/json
{
"chapters": [
{
"duration_label": "02:25",
"end_time_sec": 145,
"start_time_sec": 0,
"title": "Introduction"
}
],
"video_id": "x8n2p5v9k7"
}Unauthorized - Invalid API key
application/json
{
"code": 401,
"details": "The provided ID is not valid",
"error": "Unauthorized - Invalid API key"
}Access denied
application/json
{
"code": 403,
"details": "The provided ID is not valid",
"error": "Access denied"
}Video not found
application/json
{
"code": 404,
"details": "The provided ID is not valid",
"error": "Video not found"
}Failed to delete chapters
application/json
{
"code": 500,
"details": "The provided ID is not valid",
"error": "Failed to delete chapters"
}